/*======================= MiscCartesianCoord.m ==============================*/
/* MiscCartesianCoord class contains and supports values representing locations
   in a Cartesian coordinate system.

   DMA Release 0.8, Copyright @1993 by Genesis Project, Ltd. All Rights
   Reserved. For further information on terms and conditions see
		the MiscKit license.

HISTORY
25-Feb-93  Dale Amon at GPL
	   Created.
*/

#import "MiscCartesianCoord.h"

@implementation MiscCartesianCoord

/*===========================================================================*/
/* Coordinate handling methods */
/*===========================================================================*/
/* standard cartesian coordinates are x,y,z */

-coordx: (double*) x y: (double*) y z: (double*) z
 {return [self coord: x: y :z];}

-(double) xCoord {return [self coord1];}
-(double) yCoord {return [self coord2];}
-(double) zCoord {return [self coord3];}

-setCoordx: (double) x y: (double) y z: (double) z
 {return [self setCoord: x: y :z];}

@end
