/*	MiscSkipListEnumerator.m

	Copyright 1996 Uwe Hoffmann.

	This notice may not be removed from this source code.
	The use and distribution of this software is governed by the
	terms of the MiscKit license agreement.  Refer to the license
	document included with the MiscKit distribution for the terms.

	Version 2 (August 1996)
*/

#import "MiscSkipListEnumerator.h"

@implementation MiscSkipListEnumerator

- initWithStart:(MiscSkipListNode *)aNode
{
	[super init];
	current = aNode;
	return self;
}

- nextObject
{
	current = current->nodeForwards[0];
	if(current)
		return current->nodeObject;
	else
		return nil;
}

@end
