
#import "NSString+MiscExtensions.h"

@implementation NSString (MiscExtensions)

// This method donated by Robert Todd Thomas
- (BOOL) hasNonEmptyString
/*"
Returns YES if the string is not empty. This method is a good substitute
for something like if (aString != nil && ![aString isEqualToString:@""])
since if the receiver is nil or the string is empty NO is returned.
"*/
{
        if ([self isEqualToString:@""]) {
                return NO;
        }
        return YES;
}

@end



@implementation NSMutableString (MiscExtensions)

// This method donated by Robert Todd Thomas
- (void) setCString:(const char*)aString
{
        [self setString:[NSString stringWithCString:aString]];
}

@end
