//
//	_MiscError.h -- Special Macros, etc. that are useful
//      File created by don on Tue 23-Jul-1996
//		Written by don Copyright (c) 1996 by don.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
//	<full description here>

#import <Foundation/Foundation.h>

// The (NSNotification *) cast below is NOT TRUE!  the cast is there to
// keep the compiler happy.  I'd use NSObject *, which is correct, except
// thatthe NSObject method is +name, not -name.  And the **!*@!! compiler
// doesn't understand that fact.  So we end up with warnings about name
// space conflicts with the -name method which in non-OPENSTEP
// returned a char*.  Thanks a million for the headache, NeXT.
#define MISC_ERROR_BAIL    NSLog([NSString stringWithFormat: \
            @"  %@ class should not be sent '%@' messages\n", \
	[(NSNotification *)[self class] name], \
	NSStringFromSelector(_cmd)]); \
	exit(1)
