#ifndef __MiscTableConnInspector_h
#define __MiscTableConnInspector_h
//=============================================================================
//
//		Copyright (C) 1996 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableConnInspector.h
//
//		A custom Interface Builder connection inspector so that the
//		doubleTarget and doubleAction can be set.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableConnInspector.h,v 1.2 96/04/30 05:38:51 sunshine Exp $
// $Log:		MiscTableConnInspector.h,v $
//	Revision 1.2  96/04/30	05:38:51  sunshine
//	Ported to OpenStep 4.0 for Mach PR2.
//	
//-----------------------------------------------------------------------------
extern "Objective-C" {
#import <InterfaceBuilder/InterfaceBuilder.h>
}

@class MiscTableScroll, NSArray;

@interface MiscTableConnInspector:IBInspector
	{
	MiscTableScroll*	outletScroll;
	MiscTableScroll*	actionScroll;
	NSArray*			connList;
	id					cursrc;
	id					curdst;
	id					curout;
	}

@end

#endif // __MiscTableConnInspector_h
