#ifndef __MiscTableConnector_h
#define __MiscTableConnector_h
//=============================================================================
//
//		Copyright (C) 1996 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableConnector.h
//
//		A custom sublcass of the internal Interface Builder
//		IBControlConnector class that works for doubleTarget / doubleAction.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableConnector.h,v 1.3 96/04/30 05:38:57 sunshine Exp $
// $Log:		MiscTableConnector.h,v $
//	Revision 1.3  96/04/30	05:38:57  sunshine
//	Ported to OpenStep 4.0 for Mach PR2.
//	
//-----------------------------------------------------------------------------
extern "Objective-C" {
#import <InterfaceBuilder/InterfaceBuilder.h>
}
#import "IBConnector.h"

@interface MiscTableConnector:NSIBControlConnector
		{
		NSString* outletName;	// Name of the "target" outlet.
		NSString* actionName;	// Name of the "action" variable.
		}

- (id) initWithCoder:(NSCoder*)aDecoder;
- (void) dealloc;
- (void) establishConnection;

@end

#endif // __MiscTableConnector_h
