/* AdderNibManager.m created by todd on Tue 16-Apr-1996 */

#import <AppKit/AppKit.h>

#import "AdderWindowManager.h"
#import "AdderNibManager.h"


@implementation AdderNibManager

/*" AdderNibManager is the class that AdderWindowManager uses to load
	itself. No other objects know about this class.
"*/


- (void) dealloc
{
    // Just testing to make sure the nib manager is deallocing when the
    // adder window is closed.
	NSLog(@"AdderNibManager is deallocing.");
	[super dealloc];
}


- (AdderWindowManager*) adderWindowManager
{
    return (AdderWindowManager*)[self windowManagerOfClass:[AdderWindowManager class]];
}


- (NSString*) nibFilename
/*"
   Overridden to reflect the nib we should load.
"*/
{
    return @"SingleAdder.nib";
}

@end
