
/* 
	MiscInfoNibManager.m
*/

// RCS identification information
static char *rcsID = "$Id:$";
static void __AvoidCompilerWarning(void) {if(!rcsID)__AvoidCompilerWarning();}

// Headers
#import <AppKit/AppKit.h>
#import "MiscInfoWindowManager.h"

// Class Headers
#import "MiscInfoNibManager.h"

// Private Constants
#define MiscDefaultInfoNibName @"Info.nib"


@implementation MiscInfoNibManager

/*"
	MiscInfoNibManager is a new class in need of a description. 
"*/


//-------------------------------------------------------------------
// Overridden method
//-------------------------------------------------------------------

- (NSString*) nibFilename
{
    return MiscDefaultInfoNibName;
}


//-------------------------------------------------------------------
// Accessor methods
//-------------------------------------------------------------------

- (MiscInfoWindowManager*) infoWindowManager
{
    return (MiscInfoWindowManager*)[self windowManagerOfClass:[MiscInfoWindowManager class]];
}

@end

