/* MiscInspectorController.h created by todd on Sun 05-May-1996 */

#import <MiscControllerKit/MiscController.h>


@interface MiscInspectorController : MiscController
{
    MiscController* _inspectedController;
}

/*" Accessor methods "*/
- (MiscController*) inspectedController;

/*" Inspected controller notification"*/
- (void) controllerDidEdit:(NSNotification*)notification;

/*" Starting/stopping "*/
- (void) startInspectingController:(MiscController*)controller;
- (void) stopInspectingController:(MiscController*)controller;

- (void) update;

@end


/*
   Protected
*/


@interface MiscInspectorController (Protected)

- (void) windowWillClose:(NSNotification*)notification;

- (void) setInspectedController:(MiscController*)newController;

- (void) _nothingToInspect;

@end
