
/* MiscInspectorController_Protected.m created by todd on Wed 15-May-1996 */

#import <AppKit/AppKit.h>

#import "MiscInspectorController.h"


@implementation MiscInspectorController (Protected)

- (void) windowWillClose:(NSNotification*)notification
/*"
   Should probably unregister for controllerDidEdit notifications.
   Right now it's empty. We should then also create a method
   to receive notification when we become key so we can start
   receiving the inspected controller's notifications again.
"*/
{
}

- (void) setInspectedController:(MiscController*)controller
/*"
   Sets controller to be our inspected controller. We autorelease
   our old inspected controller if there was one.
"*/
{
    [_inspectedController autorelease];
    _inspectedController = [controller retain];
}


- (void) _nothingToInspect
/*"
   This doesn't do anything right now except print a message
   to the console. Of course it should change the inspector
   to show "Nothing to Inspect" or something.
"*/
{
    NSLog(@"Nothing to inspect called.");
}

@end

