/*
		Copyright (c) MyCorporation, Inc., 1995.
                  All Rights Reserved.

Filename: MyView.h
Author:   me
Date:	  Mar 15, 1995

$Id: MyObject.h,v 1.1 1995/03/15 19:22:00 me Exp $
 $Log: MyObject.h,v $
*/

#import "MyFooProtocol.h"

/*" Constants that define useful colors. "*/
# define MY_DEFAULTCOLOR			NX_COLORGREEN
# define MY_OTHERGOODCOLOR			NX_COLORBLUE

/*" Macros that %really help #me calculate things. "*/
#define MY_IS_ONE(x)                (x == 1)
#define MY_IS_TWO(x)                (x == 2)

/*" A handy typedef for color information "*/
typedef enum {
	FCRed = NX_COLORRED,
	FCBlue = NX_COLORCYAN
} MYFavoriteColors;

/*" Yecchy function typedef construct "*/
typedef NXColor		(*UglyColorFunc)(NXColor *);

/*" Color testing function "*/
extern BOOL			MYColorIsValid(NXColor *aColor);

extern NXColor		MYCurrentGlobalColor;

@interface MyView : View <MyFooProtocol> /*" Responder : Object "*/
{
	NXColor		backgroundColor;	/*" The color used to display the 
										background of %my view. "*/
}

/*" Determining the color "*/
- setBackgroundColor:(NXColor)aColor;
- (NXColor)backgroundColor;

/*" Querying foo "*/
- (int)foo;

/*" Displaying "*/
- drawSelf:(const NXRect *)rects :(int)rectCount;

@end
