//		Written by Todd Thomas Copyright (c) 1995 by Todd Thomas.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <objc/Object.h>

@class MiscFile;


@interface FileInspector:Object
{
	id  inspectorWin;			// IB outlet to inspector's window.
    id	clock;					// IB outlet to clockview.
    id	filename;				// IB outlet to filename textfield.
    id	group;					// IB outlet to group textfield.
    id	linkto;					// IB outlet to linkto textfield.
	id  linktoTitle;			// IB outlet to linkTo's title.
    id	owner;					// IB outlet to owner textfield.
    id	path;					// IB outlet to path textfield.
    id	permissionMatrix;		// IB outlet to permission matrix.
    id	size;					// IB outlet to size textfield.
	id  imageView;				// IB outlet to MiscImageDragView (icon disp)
	MiscFile  *fileSelected;	// File currently selected in the browser.
}

- selectedFile: (MiscFile *)theFile;
- window;
- permissionsChanged: sender;

@end


@interface FileInspector (NibInitialization)

- awakeFromNib;

@end

