//		Written by Don Yacktman Copyright (c) 1995 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import "Controller.h"

@implementation Controller

- appDidInit:sender
{
    mailer = MISC_MAILAPP; // launch Mail.app by requesting a connection
	return self;
}

- to:sender { return [MISC_MAILAPP setTo:sender]; }
- subject:sender { return [MISC_MAILAPP setSubject:sender]; }
- cc:sender { return [MISC_MAILAPP setCc:sender]; }
- deliver:sender { return [MISC_MAILAPP deliver]; }
- body:sender { return [MISC_MAILAPP setBody:sender]; }
- getWindow:sender { return [MISC_MAILAPP openWindow]; }

- doMessage:sender
{
	[MISC_MAILAPP openWindow];
	[MISC_MAILAPP setTo:to];
	[MISC_MAILAPP setSubject:subject];
	[MISC_MAILAPP setCc:cc];
	[MISC_MAILAPP setBody:body];
	return self;
}

@end
