//=============================================================================
//
//		Copyright (C) 1995 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// DirWindow.h
//
//		Manages window which displays directory listing.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id$
// $Log$
//-----------------------------------------------------------------------------
#import <appkit/appkit.h>

@class MiscTableScroll;

@interface DirWindow:Object
	{
	MiscTableScroll*	scroll;
	Window*				window;
	Button*				autoSortSwitch;
	Button*				cdButton;
	Button*				hiddenFilesSwitch;
	Button*				highlightSwitch;
	Button*				updateButton;
	TextField*			countField;
	char*				path;
	BOOL				autoSort;
	BOOL				showHidden;
	BOOL				highlightDirs;
	}

+ launchDir:(char const*) dirname;

@end
