//		Written by Don Yacktman Copyright (c) 1994 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		Modified by Aleksey Sudakov <zander@cnext.crec.mipt.ru>
//		* Aug. 17, 1995 *	Added save to EPS/TIFF 
//
//		This notice may not be removed from this source code.
//
//	This program is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	


#import <appkit/appkit.h>

@interface TreeController:Object
{
    id	treeView;
    id  infoPanel;
    int nextX, nextY;
    BOOL first;
}
+ initialize;

- init;
- info:sender;
- open:sender;
- save:sender;

- (BOOL)openFile:(const char *)name;
- copyPSToStream:(NXStream*)aStream forView:view;
- copyTIFFToStream:(NXStream*)aStream forView:view;

/* Application delegate methods */
- appDidInit:(Application *)sender;
- (int)app:sender openFile:(const char *)file type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:sender;

@end
