//
//	MiscMailSpeaker.h -- an API to NeXT's Mail.app
//		Created by msgwrap from MiscMail.msg, based on an article
//			posted to USENET by Andrew Stone.
//		Modified by Don Yacktman Copyright (c) 1994 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <AppKit/obsoleteSpeaker.h>

@interface MiscMailSpeaker : Speaker
{

}

-(int)openSend;
-(int)setTo:(const char *)toField;
-(int)setSubject:(const char *)subjectField;
-(int)setCc:(const char *)ccField;
-(int)setBody:(const char *)bodyField;
-(int)deliver;
-(int)openSend:(int *)sender;
-(int)setTo:(const char *)toField inWindow:(int)sender;
-(int)setSubject:(const char *)subjectField inWindow:(int)sender;
-(int)setCc:(const char *)ccField inWindow:(int)sender;
-(int)setBody:(const char *)bodyField inWindow:(int)sender;
-(int)deliver:(int)sender;

@end
