/* MiscNoSelInspector.h				 
 *
 * This default inspector comes up when there is a No Selection.
 *
 * Usage: Just use it.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.02.1994 (Copyright 1994 Thomas Engel)
 * Last modified: 	09.02.1994
 */

//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.

#import <misckit/MiscDefaultInspector.h>

@interface MiscNoSelInspector:MiscDefaultInspector

- (BOOL)doesHandleSelection;

@end

/*
 * History: 09.02.1994 First code entered.
 *
 *
 * Bugs: - No.
 */