/* MiscSwapViewByMatrix.h				 
 *
 * This is a SwapView that can handle swapping triggered by objects inside
 * a matrix. Sorry no multiple buttons inside a matrix. 
 *
 * Notes: By the nature of swapping this can handle only one selection inside
 *		  the matrix.
 *		  No major differences to the simple MiscSwapViewByObject;
 *
 * Written by: 		Thomas Engel
 * Created:    		24.01.1994 (Copyright 1994 Thomas Engel)
 * Last modified: 	24.02.1994
 */

//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.

#import <misckit/MiscSwapView.h>

@interface MiscSwapViewByMatrix:MiscSwapView

- swapContentView:sender;

@end

/*
 * History: 24.02.94 direct subclass of swapView.
 *
 *			24.01.94 Made it MiscSwap conform.
 *
 *			08.01.94 Maybe one of the easiest subclasses of swapController!
 *
 *
 * Bugs: - NO
 */