//
//	MiscTextExtensions.h -- extensions to the NeXT Text object
//		Originally written by Scott Anguish
//		Copyright (c) 1994 by Scott Anguish.
//		Modified and extended by Don Yacktman for inclusion into the MiscKit.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

@class MiscString;

#import <AppKit/NSText.h>

@interface NSText(MiscExtensions)

- (MiscString *)getContentString;
- (MiscString *)getSelectionString;
- (MiscString *)getSubstringStringStart:(int)startPos length:(int)numChars;

@end
