//
// MiscTree.Browser.h -- Category of MiscTree that allows a MiscTree to be
// 		a delegate for an NXBrowser
//		Written by Scott Anguish Copyright (c) 1994 by Scott Anguish.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This program is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
#import <AppKit/AppKit.h>
#import <misckit/MiscTree.h>

@interface MiscTree(Browser)
- returnSelectedNode:theBrowser;
- returnSelectedPath:theBrowser;
- pathToChild:theString;
- labelString;
- pathToChild:theString level:(int)theLevel;
- (void)browser:(NSBrowser *)sender createRowsForColumn:(int)column inMatrix:(NSMatrix *)matrix;

@end
