// Copyright (C) 1995 Jon Kutemeier
// Use is governed by the MiscKit license

@protocol DateDelegate

- (int)day;
- (int)month;
- (int)year;

- setYear:(int)year month:(int)month day:(int)day;

- (int)numberOfDaysInMonth;
- (int)startDayOfMonth;

- incrementMonth;
- decrementMonth;

- incrementYear;
- decrementYear;

- (const char *)monthStringValue;
- (const char *)dateStringValue;

@end

