// Copyright (C) 1995 Jon Kutemeier
// Use is governed by the MiscKit license

/******************************************************************************
 *      $Log$
 ******************************************************************************/

#import <Foundation/NSObject.h>

#import "misckit/DateDelegateProtocol.h"

@interface SimpleDate : NSObject <DateDelegate>
{
    int		day,
		month,
		year;
    char	dateString[64];

}

- init;

- (int)day;
- (int)month;
- (int)year;

- setYear:(int)year month:(int)month day:(int)day;

- (int)numberOfDaysInMonth;
- (int)startDayOfMonth;

- incrementMonth;
- decrementMonth;

- incrementYear;
- decrementYear;

- (const char *)monthStringValue;
- (const char *)dateStringValue;

- (id)initWithCoder:(NSCoder *)aDecoder;
- (void)encodeWithCoder:(NSCoder *)aCoder;

@end
