//
//	MiscClockView_MiscTime.m -- a simple view class for displaying date/time
//		Written by Scott Anguish Copyright (c) 1993 by Scott Anguish.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <sys/time.h>	

#import "MiscClockView_MiscTime.h"
#import <misckit/MiscTime.h>


@implementation MiscClockView(MiscTime)

- setMiscTime:(MiscTime *)aTime
{
	[self setSeconds:[aTime second]];
	[self setMinutes:[aTime minute]];
	[self setHours:[aTime hour]];
	[self setWeekday:[aTime dayOfWeek]];
	[self setDate:[aTime day] + 1];
	[self setMonth:[aTime month]];
	[self setYear:[aTime year]];
	[self display];
	return self;
}

@end
