//
//	ReadOnlyColorWellInspector.h -- inspector for MiscReadOnlyColorWell class
//		Written by Morgan D. Wise Copyright (c) 1994 by Morgan D. Wise.
//		Adapted for MiscKit inclusion by Don Yacktman.
//				Version 0.1.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//

#import <AppKit/AppKit.h>
#import "MiscColorWell.subproj/MiscReadOnlyColorWell.h"

#import <apps/InterfaceBuilder.h>

@interface ReadOnlyColorWellInspector:IBInspector
{
    id	borderedSwitch;
    id	colorWell;
    id	continuousSwitch;
    id	disabledSwitch;
    id	readOnlySwitch;
    id	tagForm;
}

- init;
- ok:sender;
- revert:sender;

@end
