// Copyright (C) 1995 Don Yacktman
// Use is governed by the MiscKit license

#import "MiscLogSliderInspector.h"
#import "MiscLogSlider.subproj/MiscLogSlider.h"

@implementation MiscLogSliderInspector

- init
{
	char buf[MAXPATHLEN + 1];
	id bundle;
    
	[super init]; // The superclass will attempt to load .nib we don't need...
	bundle = [NSBundle bundleForClass:[MiscLogSlider class]];
#error StringConversion: This call to -[NXBundle getPath:forResource:ofType:] has been converted to the similar NSBundle method.  The conversion has been made assuming that the variable called buf will be changed into an (NSString *).  You must change the type of the variable called buf by hand.
	buf = [bundle pathForResource:@"MiscLogSliderInspector" ofType:@"nib"];
	[NSBundle loadNibFile:[NSString stringWithCString:buf] externalNameTable:[NSDictionary dictionaryWithObjectsAndKeys:self, @"NSOwner", nil] withZone:[self zone]];
	return self;
}

- revertCell:cell sender:sender
{
	[[valuesForm cellWithTag:3] setDoubleValue:[cell base]];
	return [super revertCell:cell sender:sender];
}

- okCell:cell sender:sender
{
	[cell setBase:[[valuesForm cellWithTag:3] doubleValue]];
	return [super okCell:cell sender:sender];
}

- ok:sender
{
	[object setBase:[[valuesForm cellWithTag:3] doubleValue]];
	return [super ok:sender];
}

- revert:sender
{
	[[valuesForm cellWithTag:3] setDoubleValue:[object base]];
	return [super revert:sender];
}

@end
