// Copyright (C) 1995
// Use is governed by the MiscKit license

#import <AppKit/AppKit.h>
#import <apps/InterfaceBuilder.h>

@interface MiscPaperViewInspector:IBInspector
{
	id	gridTypeMatrix;
	id	gridColorWell;
	id	gridHOffsetSlider;
	id	gridHOffsetField;	
	id	gridVOffsetSlider;
	id	gridVOffsetField;	
	id	gridOriginMatrix;	

	id	sidelineTypeMatrix;
	id	sidelineColorWell;
	id	sidelineOffsetSlider;
	id	sidelineOffsetField;	
}

- init;
- revert:sender;
- gridColorChanged:sender;
- gridTypeChanged:sender;
- gridOriginChanged:sender;
- gridHOffsetChanged:sender;
- gridVOffsetChanged:sender;

- sidelineColorChanged:sender;
- sidelineTypeChanged:sender;
- sidelineOffsetChanged:sender;

- (BOOL)wantsButtons;

@end