//
//	MiscProgressViewInspector.h -- a simple view class for displaying progress
//		Written originally by Don Yacktman Copyright (c) 1993 by James Heiser.
//				This file is maintained by James Heiser, jheiser@adobe.com.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	


#import <AppKit/AppKit.h>
#import <apps/InterfaceBuilder.h>

@interface MiscProgressViewInspector:IBInspector <IBInspectors>
{
    id	stepText;
    id	stepSlider;
    id  backgroundColorWell;
    id  foregroundColorWell;
    id  borderColorWell;
}

- init;

@end
