// Copyright (C) 1995 Steve Hayman
// Use is governed by the MiscKit license

#import <AppKit/AppKit.h>

#import <apps/InterfaceBuilder.h>


@interface MiscShellInspector : IBInspector
{
    id text;
    id scrollView;
    
    id scriptBox;
    id optionsBox;
    id swapBox;
    id delimiters;
    
    id tableSort;
    
    id runToCompletionCheck;
    id customDelimiters;
}

- init;
- swapView:sender;
- revert:sender;
- ok:sender;
- (BOOL)wantsButtons;

@end
