// Copyright (C) 1995
// Use is governed by the MiscKit license

#import "MiscSwapKit.subproj/MiscSwapContentsController.h"
#import "MiscSCCInspector.h"


@implementation MiscSCCInspector

// Load the Inspector

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    
    bundle = [NSBundle bundleForClass:[MiscSwapContentsController class]];

#error StringConversion: This call to -[NXBundle getPath:forResource:ofType:] has been converted to the similar NSBundle method.  The conversion has been made assuming that the variable called buf will be changed into an (NSString *).  You must change the type of the variable called buf by hand.
    buf = [bundle pathForResource:@"MiscSCCInspector" ofType:@"nib"];

    [NSBundle loadNibFile:[NSString stringWithCString:buf] externalNameTable:[NSDictionary dictionaryWithObjectsAndKeys:self, @"NSOwner", nil] withZone:[self zone]];
		   
    return self;
}



// Query the object for it's attributes to display

- revert: sender
{
	[tagForm setIntValue:[object triggerTag]];
	
	return [super revert: sender];
}



- tagChanged:sender
{
	[object setTriggerTag: [tagForm intValue] ];
	
    return [super ok: sender];
}



- (BOOL)wantsButtons
{
	return NO;
}

@end


@implementation MiscSwapContentsController (IBInspector)

- (const char *)getInspectorClassName
{
	return "MiscSCCInspector";
}

@end
	
	