// Copyright (C) 1995
// Use is governed by the MiscKit license

#import <AppKit/AppKit.h>

#import <apps/InterfaceBuilder.h>

@interface MiscSVInspector: IBInspector
{
    id	bGrayMatrix;
    id	optionMatrix;
}

- init;
- revert: sender;
- grayChanged: sender;
- optionChanged: sender;
- (BOOL)wantsButtons;

@end


@interface MiscSwapView (IBInspector)

- (const char *)getInspectorClassName;

@end
