//=============================================================================
//
//		Copyright (C) 1995 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscColView.M
//
//		View class for the column headings on an MiscTableScroll.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscColView.M,v 1.1 95/09/27 12:21:21 zarnuk Exp $
// $Log:		MiscColView.M,v $
//	Revision 1.1  95/09/27	12:21:21  zarnuk
//	Initial revision
//	
//-----------------------------------------------------------------------------
#import "MiscColView.h"

@implementation MiscColView

//-----------------------------------------------------------------------------
// - initFrame:spreadSheet:
//-----------------------------------------------------------------------------
- initFrame: (NSRect const*) frameRect
	 scroll: (MiscTableScroll*) i_scroll
	   info: (MiscTableBorder*) i_info
	{
	[super initFrame:frameRect scroll:i_scroll info:i_info
						type:MISC_COL_BORDER_VIEW];
	return self;
	}

@end
