
//
//	MiscAppFile.m -- simple MiscFile subclass for brower leaf diaply of .app
//		Written by Robert Todd Thomas Copyright (c) 1995 by Robert Todd Thomas.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <misckit/MiscAppFile.h>


@implementation MiscAppFile

- initWithPath: (const char *)fullPath
{
	if (!(self = [super initWithPath: fullPath]))
		return nil;
		
	[self setDisplayAsLeaf: YES];
	return self;
}

- (NSString *)name
{
	return @"MiscAppFile";
}

@end

