/* ./sym/MiscBWPS.c generated from MiscBWPS.psw
   by unix pswrap V1.009  Wed Apr 19 17:50:24 PDT 1989
 */

#include <Appkit/dpsfriends.h>
#include <string.h>

#line 1 "MiscBWPS.psw"
//
//	MiscBWPS.psw -- wraps used by MiscBackWindow to control the window
//		Written by Dale Amon, copyright 1993 by Genesis Project, Ltd.
//				Version 0.8.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

/*================================ psfuncts.psw =============================*/
/* PS wraps for controlling windows.

   DMA Release 0.8, Copyright @1993 by Genesis Project, Ltd. All Rights
   Reserved. For further information on terms and conditions see:
		Documentation/GPLKit/Agreements-Legal-README

HISTORY
7-Feb-93  Dale Amon at GPL
	  Created. Based loosely on Backspace demo code.
*/


/*===========================================================================*/
/* tweaks a window so it works as a background window */
#line 38 "./sym/MiscBWPS.c"
void _MiscTweakWindow(int windowNum, int level)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    DPSBinObjGeneric obj13;
    DPSBinObjGeneric obj14;
    DPSBinObjGeneric obj15;
    char obj16[16];
    char obj17[17];
    char obj18[11];
    char obj19[14];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 16, 190,
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: level */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: windowNum */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 212},	/* execuserobject */
    {DPS_EXEC|DPS_NAME, 0, 14, 172},	/* setwindowlevel */
    {DPS_LITERAL|DPS_BOOL, 0, 0, 1},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: windowNum */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 212},	/* execuserobject */
    {DPS_EXEC|DPS_NAME, 0, 11, 161},	/* setautofill */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 78},	/* gsave */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: windowNum */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 212},	/* execuserobject */
    {DPS_EXEC|DPS_NAME, 0, 17, 144},	/* windowdeviceround */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_EXEC|DPS_NAME, 0, 16, 128},	/* setexposurecolor */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 77},	/* grestore */
    {'s','e','t','e','x','p','o','s','u','r','e','c','o','l','o','r'},
    {'w','i','n','d','o','w','d','e','v','i','c','e','r','o','u','n','d'},
    {'s','e','t','a','u','t','o','f','i','l','l'},
    {'s','e','t','w','i','n','d','o','w','l','e','v','e','l'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[1].val.integerVal =
  _dpsP[5].val.integerVal =
  _dpsP[9].val.integerVal = windowNum;
  _dpsP[0].val.integerVal = level;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,190);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 42 "MiscBWPS.psw"


/*---------------------------------------------------------------------------*/
/* sets a windows tier to level */
#line 108 "./sym/MiscBWPS.c"
void _MiscSetWindowLevel(int windowNum, int level)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    char obj4[14];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 4, 50,
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: level */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: windowNum */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 212},	/* execuserobject */
    {DPS_EXEC|DPS_NAME, 0, 14, 32},	/* setwindowlevel */
    {'s','e','t','w','i','n','d','o','w','l','e','v','e','l'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[1].val.integerVal = windowNum;
  _dpsP[0].val.integerVal = level;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,50);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 51 "MiscBWPS.psw"



