//
//	MiscPickListController.h -- Controller object works with PickList
//		Written by Don Yacktman Copyright (c) 1994 by Don Yacktman.
//				Version 0.1.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

// This is used explicitly by GUI objects to implement the current
// existing interface presented by the MiscPickList palette.

#import <misckit/misckit.h>
#import "MiscPickList.h"

@interface MiscPickListController : NSObject
{
	id textPal;
	MiscString *pickListName;
	MiscPickList *pickList;
}

- pickList;
- bringUpPickList:sender;
- textPal;
- setTextPal:anObject;
- (MiscString *)listName;
- setListName:(MiscString *)aName;

@end
