/******************************************************************************

.../UniqueInstance.h

Copyright Michael T. H. Scott, 1995.

UniqueInstance is an abstract superclass for subclasses which require a unique instance. Alloc, copy and free are reimplemented to return error. 
******************************************************************************/

#import <AppKit/AppKit.h>

@interface UniqueInstance : NSObject
{

}
+ (void)initialize;
+ uniqueInstance;
+ alloc;
- (BOOL)uninitialized;
- init;
- copyWithZone:(NSZone *)aZone;
- (void)dealloc;
@end