
#import <Foundation/Foundation.h>
#import <MiscAppKit/MiscTDDocAPI.h>
#import "TDStyleWellAPI.h"

@interface AppController:NSObject <MiscTDDocAPI, TDStyleWellAPI>
{
	id treeView;
        id shapeMatrix;
        id parentEndingMatrix;
        id childEndingMatrix;
        id outlineColorWell;
        id fillColorWell;
        id shadowColorWell;
        id lineColorWell;
        id fillToggle;
        id outlineToggle;
        id shadowToggle;
        id lineToggle;
        id outlineLinewidthField;
        id outlineLinewidthSlider;
        id lineLinewidthField;
        id lineLinewidthSlider;
        id distanceToParentField;
        id distanceToParentSlider;
        id borderField;
        id borderSlider;
        id orientationButton;
        id linkButton;
        id bendingFactorField;
        id bendingFactorSlider;
        id styleWell;
        id infoPanel;
        id infoView;
	id textPositionMatrix;
	id automaticResizeToggle;
}

- (void)updateControls;
- (void)add:(id)sender;
- (void)changeShape:(id)sender;
- (void)changeParentEnding:(id)sender;
- (void)changeChildEnding:(id)sender;
- (void)changeOutlineColor:(id)sender;
- (void)changeFillColor:(id)sender;
- (void)changeShadowColor:(id)sender;
- (void)changeLineColor:(id)sender;
- (void)changeOutline:(id)sender;
- (void)changeFill:(id)sender;
- (void)changeShadow:(id)sender;
- (void)changeLine:(id)sender;
- (void)changeOutlineLinewidth:(id)sender;
- (void)changeLineLinewith:(id)sender;
- (void)changeDistanceToParent:(id)sender;
- (void)changeBorder:(id)sender;
- (void)changeOrientation:(id)sender;
- (void)changeLink:(id)sender;
- (void)changeBendingFactor:(id)sender;
- (void)changeTextPlacement:(id)sender;
- (void)changeAutomaticResize:(id)sender;
- (void)showInfoPanel:(id)sender;


@end

	