
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

@interface InfoView:NSView
{
@private
    	NSImage *buffer; 
	NSSize imageSize,batSize;
	NSImage *image,*oldImage,*frontImage;
	unsigned int animationStep;
	BOOL animationCrowl, frontPage;
	BOOL animationDissolve;	
	NSTimer *animateTimer;
	float delta;
	NSRect batRect;
	NSImage *bat;
	int randDirection;
	BOOL toggle;
}

- initWithFrame:(NSRect)frameRect;
- (void)dealloc;
- (void)compositeWithDissolve:(BOOL)aBool andDelta:(float)aDelta;
- (void)compositeWithChecker:(BOOL)aBool andDelta:(float)aDelta;
- (void)drawRect:(NSRect)rect;
- (void)mouseDown:(NSEvent *)event;
- (void)start:sender;
- (void)stop:(id)sender;
- (void)animationClick:(NSTimer *)timer;
- (void)animateCrowl;
- (void)animateDissolve;
- (void)drawBackground:(NSRect)rect;
- (void)removeTimer;

@end
