/*	MiscRubberband.h

	Copyright 1996 Slugg Jello.

	This notice may not be removed from this source code.
	The use and distribution of this software is governed by the
	terms of the MiscKit license agreement.  Refer to the license
	document included with the MiscKit distribution for the terms.

*/

#import <AppKit/AppKit.h>

@interface MiscRubberband:NSObject
{
@private
	NSRect currentRect;
	NSRect boundsRect;
	NSView *view;
}

+ rubberbandWithView:(NSView *)aView;
- initWithView:(NSView *)aView;
- (void)doStretch:(NSEvent *)event;
- (NSRect)currentRect;

@end
