//
//	_MiscCoordConverterService.h -- Wrapper class used internally by
//		MiscGISKit to store conversion services in Arrays
//      File created by don on Tue 23-Jul-1996
//		Written by don Copyright (c) 1996 by don.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
//	<full description here>

#import <Foundation/Foundation.h>

@interface _MiscCoordConverterService : NSObject
{
    Class	iClass;
    Class	oClass;
    SEL		xlator;
}

- (void)setInputClass:(Class)aClass;
- (void)setOutputClass:(Class)aClass;
- (void)setTranslator:(SEL)aSel;
- (Class)inputClass;
- (Class)outputClass;
- (SEL)translator;

@end
