/*	MiscObjectSkipList.h

	Copyright 1996 Uwe Hoffmann.

	This notice may not be removed from this source code.
	The use and distribution of this software is governed by the
	terms of the MiscKit license agreement.  Refer to the license
	document included with the MiscKit distribution for the terms.

	Version 2 (August 1996)
*/

#import "MiscSkipList.h"

@interface MiscObjectSkipList:MiscSkipList
{
	int (*compareFunction)(id, id, void *);
	void *compareContext;
	SEL compareSelector;
	BOOL compareWithSelector;
}

- init;
- initCompareSelector:(SEL)comparator;
- initCompareFunction:(int(*)(id, id, void *))comparator context:(void *)context;
- initWithObjects:(id *)objects count:(unsigned)count;
- initWithObjects:(id *)objects count:(unsigned)count compareSelector:(SEL)comparator;
- initWithObjects:(id *)objects count:(unsigned)count compareFunction:(int(*)(id, id, void *))comparator context:(void *)context;

@end
