
/*
**	MiscSwitchViewPalette.h
**	Copyright (C) 1995  David Slotnick
*/

// NeXT Headers

// System Headers

// ThirdParty Headers

// Other Headers

// Superclass Headers
#import <InterfaceBuilder/IBPalette.h>

// Forward Class Declarations
@class MiscSwitchView;
@class NSImageView;


@interface MiscSwitchViewPalette:IBPalette 
{
#ifdef IB_OUTLETS
    id	switchView;			/*" Bogus outlet for IB. "*/
    id	switchViewImage; 	/*" Bogus outlet for IB. "*/
#endif

@private
    MiscSwitchView*		_switchView;		/*" The object to iconize. "*/
    NSImageView*		_switchViewImage; 	/*" The icon that represents it. "*/
}

/*" Accessor methods "*/
- (MiscSwitchView*) switchView;
- (void) setSwitchView:(MiscSwitchView*)switchView;
- (NSImageView*) switchViewImage;
- (void) setSwitchViewImage:(NSImageView*)switchViewImage;

/*" Initialization / deallocation "*/
- (void) dealloc;

/*" IBPalette methods "*/
- (void) finishInstantiate;

@end
