#ifndef __IBConnector_h
#define __IBConnector_h

extern "Objective-C" {
#import <Foundation/NSObject.h>
}

@interface NSIBConnector : NSObject<IBConnectors>
	{
	id source;
	id destination;
	NSString* label;
	}
- (id) source;
- (void) setSource:(id)s;
- (id) destination;
- (void) setDestination:(id)d;
- (NSString*) label;
- (void) setLabel:(NSString*)lbl;
- (void) replaceObject:(id)oldObject withObject:(id)newObject;
- (id) nibInstantiate;
- (void) establishConnection;

- (id) initWithCoder:(NSCoder*)aDecoder;
- (void) encodeWithCoder:(NSCoder*)aCoder;

- (void) displayConnection;
- (NSString*) nibLabel;
@end


@interface NSIBOutletConnector : NSIBConnector
	{
	}
- (void) establishConnection;
@end


@interface NSIBControlConnector : NSIBConnector
	{
	}
- (NSString*) nibLabel;
- (void) establishConnection;
@end

#endif // __IBConnector_h
