//=============================================================================
//
//		Copyright (C) 1996 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableScrollPalette.M
//
//		Subclass of IBPalette for the MiscTableScroll palette.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableScrollPalette.M,v 1.3 96/04/30 05:39:54 sunshine Exp $
// $Log:		MiscTableScrollPalette.M,v $
// Revision 1.3	 96/04/30  05:39:54	 sunshine
// Ported to OpenStep 4.0 for Mach PR2.
// 
//-----------------------------------------------------------------------------
#import "MiscTableScrollPalette.h"
#import <misckit/MiscTableScroll.h>

@implementation MiscTableScrollPalette

//-----------------------------------------------------------------------------
// - finishInstantiate
//-----------------------------------------------------------------------------
- (void) finishInstantiate 
	{
	[tableScroll addColumn];
	[tableScroll addColumn];
	[tableScroll setCol:1 autosize:YES];
	[tableScroll tile]; 
	}

@end
