/* Adder.m created by todd on Sun 28-Apr-1996 */

#import "Adder.h"

@implementation Adder

/*"
   Adder is our model object. It knows how to add two numbers together. It
   is very intelligent.
"*/


- (float) add:(float)firstNum and:(float)secondNum
{
    firstNumber = firstNum;
    secondNumber = secondNum;
    return [self result];
}

- (float) result { return [self firstNumber] + [self secondNumber]; }
- (float) firstNumber { return firstNumber; }
- (float) secondNumber { return secondNumber; }

@end
