/* AdderAppManager.m created by todd on Sun 14-Apr-1996 */

#import <AppKit/AppKit.h>

#import "AdderWindowManager.h"
#import "AdderAppManager.h"
#import <MiscControllerKit/MiscInspectorManager.h>


@implementation AdderAppManager

- (NSString*) appVersion
/*"
	The only place this is used right now is our info panel.
"*/
{
    return @"0.1";
}


- (NSString*) infoBundleName
{
    // The name of our info bundle. The principal class must be either be  
	// MiscInfoWindowManager or a subclass.
    return @"AdderInfo.bundle";
//	return nil;
}

- (void) newAdder:sender
{
    // Ask for a new window manager and display it. The new window
	// manager is not autoreleased. Everything is usually freed
	// when the adder window closes.
    [[AdderWindowManager newAdderWindowManager] 
		makeKeyConditionallyAndOrderFront:nil];
}

- (void) showInspector:(id)sender
{
    MiscInspectorManager* inspectorManager;

	// Returns the inspector if it already exists or creates one and
	// returns it if not.
    inspectorManager = [MiscInspectorManager defaultInspectorManager];
    [inspectorManager makeKeyConditionallyAndOrderFront:nil];
}

@end
