/* AdderController.h created by todd on Sun 28-Apr-1996 */

#import <MiscControllerKit/MiscController.h>

// Forward class declarations
@class Adder;
@class NSTextField;

#define IBOutlet


@interface AdderController : MiscController
{
#if IB_WAS_SMARTER
    id firstNumberTF;
    id secondNumberTF;
#endif
    
@private
    IBOutlet NSTextField* _firstNumberTF;
    IBOutlet NSTextField* _secondNumberTF;
    Adder* _adder;
}

- (id) init;
- (void) dealloc;

/*" Accessors "*/
- (Adder*) adder;
- (NSTextField*) firstNumberTF;
- (void) setFirstNumberTF:(NSTextField*)newTextField;
- (NSTextField*) secondNumberTF;
- (void) setSecondNumberTF:(NSTextField*)newTextField;

- (void) addedNumbersChanged:(id)sender;

/*" Protected "*/
- (void) _initializeUI;

@end

