//
// StringTestNEXTSTEP.m -- test out the String class' NEXTSTEP category
//		Written by Don Yacktman Copyright (c) 1994 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This program is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

void testMiscStringNEXTSTEP()
{
	printf("***** Testing MiscStringNEXTSTEP category\n");

// Test MiscStringNEXTSTEP.m methods:
	// -read:, -write:
	// The typed stream methods could be tested here, but since
	// the IB palette works just fine, and IB uses read/write to
	// move objects off the palette and into the .nib, I assume
	// that these methods are working fine.  Maybe in the future
	// I'll write something here.  (I should.)

	// -encodeUsing:, -decodeUsing:, -encodeRemotelyFor:
	// I have successfully used the NXTransport methods in my own
	// DO-based apps.  I therefore assume they work fine, since I've
	// had no troubles with them.  We still need to test this, but
	// the code to do it is pretty extensive, so it's on hold for now.

	// -getInspectorClassName, -getIBImage
	// The IB support works, as witnessed by the palette.  That's
	// good enough for me.
	printf("There is currently no test for the NEXTSTEP methods.\n");
}

