//		Written by Aleksey Sudakov <zander@cnext.crec.mipt.ru>
//          Copyright (c) 1995 by Aleksey Sudakov.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This program is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <appkit/appkit.h>

@class List;

@interface SavePanelWithPopUp : SavePanel
{
 List* types;
 id popUp;
 char *selectedType;
}

+ newContent:(const NXRect *)contentRect style:(int)aStyle
	backing:(int)bufferingType buttonMask:(int)mask defer:(BOOL)flag;

- registerPopUp;
- addType:(char*)type withDescription:(char*)description;
- (char*)selectedType;
- setSelectedType:(const char *)aString;
- free;

@end