
// MiscKit compatability header for old programs that used the MiscKit's
// predecessor, "DAYMiscKit", and the "MOKit", written by Mike Ferris
//
//		Written by Don Yacktman Copyright (c) 1993, 1994 by Don Yacktman.
//	


#ifndef DAYLOCKCOMPAT_H
#define DAYLOCKCOMPAT_H
#define DAYLockFile MiscLockFile
#endif DAYLOCKCOMPAT_H

#ifndef DAYLOGCOMPAT_H
#define DAYLOGCOMPAT_H
#define DAYLogFile MiscLogFile
#endif DAYLOGCOMPAT_H

#ifndef DAYSTOPCOMPAT_H
#define DAYSTOPCOMPAT_H
#define DAYStopwatch MiscStopwatch
#endif DAYSTOPCOMPAT_H

#ifndef DAYTIMECOMPAT_H
#define DAYTIMECOMPAT_H
#define DAYTime MiscTime
#define DAY_UNKNOWN_DOW MISC_TIME_UNKNOWN_DOW
#define DAY_MAX_MICROSECONDS MISC_TIME_MAX_MICROSECONDS
#define DAY_MAX_SECONDS MISC_TIME_MAX_SECONDS
#define DAY_MAX_MINUTES MISC_TIME_MAX_MINUTES
#define DAY_MAX_HOURS MISC_TIME_MAX_HOURS
#define DAY_MAX_DAYS MISC_TIME_MAX_DAYS
#define DAY_MAX_MONTHS MISC_TIME_MAX_MONTHS
#endif DAYTIMECOMPAT_H

#ifndef DAYSTRINGCOMPAT_H
#define DAYSTRINGCOMPAT_H
#define DAYString MiscString
#define DAY_LAST MISC_STRING_LAST
#define DAY_FIRST MISC_STRING_FIRST
#endif DAYSTRINGCOMPAT_H

#ifndef DAYAPPCOMPAT_H
#define DAYAPPCOMPAT_H
#define DAYOSVersion MiscOSVersion
#endif DAYAPPCOMPAT_H


// Compatability with the MOKit classes and such

#ifndef MOCONTROLLER_H
#define MOCONTROLLER_H
#define MOController MiscNibController
#endif MOCONTROLLER_H

#ifndef MOCLASSVCOMPAT_H
#define MOCLASSVCOMPAT_H
#define MOClassVariable MiscClassVariable
#endif MOCLASSVCOMPAT_H

#ifndef MOMATRIXCOMPAT_H
#define MOMATRIXCOMPAT_H
#define MOMatrix MiscMatrix
#define MO_lastElement lastElement
#define _ColumnSize_ _MiscColumnSize_
#define ColumnSize MiscColumnSize
#define COLUMNSIZE_DESC MISC_COLUMNSIZE_DESC
#define _RowSize_ _MiscRowSize_
#define RowSize MiscRowSize
#define ROWSIZE_DESC MISC_ROWSIZE_DESC
#endif MOMATRIXCOMPAT_H
