
//
//	MiscAppFile.h -- simple MiscFile subclass for brower leaf diaply of .app
//		Written by Robert Todd Thomas Copyright (c) 1995 by Robert Todd Thomas.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

// This class is somewhat private; the MiscKit main header doesn't include
// it, but the MiscFile examples make use of it for display purposes and
// you may want to do the same.  This class will eventually go away to be
// replaced by something like "MiscWrapper", which will handle other file
// packages besides apps, likely with subclasses for .app, .pkg, etc. so
// that extra information about those packages may be obtained.  What this
// means to you is that if you use it, you do so at your own risk.  When it
// is finally replaced, don't expect compatability defines, etc., since we
// may not deem them worth creating.  Expect to have to change your source!

#import <misckit/MiscFile.h>

@interface MiscAppFile : MiscFile
{

}

- initWithPath: (const char *)fullPath;
- (NSString *)name;

@end

