/*======================= MiscBackWindowDelegate.h =========================*/
//		Written by Dale Amon, copyright 1994 by Genesis Project, Ltd.
//				Version 0.8.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

/* This protocol can be implemented by classes that wish to act as a window
   delegate to a BackWindow. Such delegates may be notified of changes in
   the window tier so that appropriate actions can be taken.

HISTORY
18-Feb-93  Dale Amon at GPL
	   Created. 
*/

@protocol MiscBackWindowDelegate
- windowDidChangeTierTo: (int) tier;
@end
