//
//	MiscBundleLoader.m -- an object category to load .bundle files with
//			code for a specific ObjC class in them
//		Written by Mike Ferris Copyright (c) 1994 by Mike Ferris.
//		Unburied from original MOKit by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	


#import <Foundation/NSObject.h>

@interface NSObject(MiscBundleLoader)

+ (Class)loadClassBundle:(const char *)className;

@end
