/* MiscDefaultInspector.h				 
 *
 * This is a class that shows a single view, does no work and registers for
 * every possible trigger inside the popUp.
 *
 * Usage: Just conect it to a view and let it do the rest.
 *	      To the manager it appears to be a wrapper. When the appWrappedCtrls
 *		  message come we will create as many copys of ourself as needed to
 *		  handle every trigger.
 *		  Attention: This only works if the sapView is a ..byPopup!
 *		
 *		  This is the object that does NotApplicable, MultiSel, NoSel. The only
 *		  thing our subclasses will add is a selection check.
 *		  NotApplicable is not a subclass because it will be the first in
 *		  our inspector list and is alway 'true=YES' anyway.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.02.1994 (Copyright 1994 by Thomas Engel)
 * Last modified: 	09.02.1994
 */
 
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.


#import <misckit/MiscInspector.h>

@interface MiscDefaultInspector:MiscInspector
{
	id		controllers;
}

- addWrappedControllers;

@end

/*
 * History: 09.02.1994 First code entered.
 *
 *
 * Bugs: - No read/write.
 *
 *		 - Ok somewhat lasagne but I hope one can need the code.
 */