//
//	MiscOrderForm.h -- a class to sit underneath an Order Form panel
//		Written by Don Yacktman Copyright (c) 1994 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <AppKit/AppKit.h>

@interface MiscOrderForm : NSObject
{
	id	controller;			// MiscInfoController instance
    id	orderFormPanel;		// basic order form panel
	id  costPerLicenseText;	// disabled textfield containing cost per license
	id  numLicensesText;	// textfield containing number of licenses wanted
	id  totalCostText;		// disabled textfield for cost of ordered licenses
}

- init;
- setController:sender;
- orderFormPanel;
- orderForm:sender;
- printOrderForm:sender;
- costCalc:sender;			// this should be overridden

@end
