/*--------------------------------------------------------------------------
 *
 * 	MiscTableSource
 *
 * 	Inherits From:	List
 *
 * 	Conforms To:	NXTransport,DBTableDataSources
 *
 * 	Declared In:	MiscTableSource.h
 *
 * 	Class Description
 *
 * 	<<Documentation>>
 *
 *
 * 	$Log$
 *
 * Copyright (C) 1995 Vince Demarco, vdemarco@bou.shl.com
 * Use is governed by the MiscKit license
 *--------------------------------------------------------------------------*/
//#import <objc/List.h>
#import <misckit/MiscList.h>



#import <Foundation/NSPortCoder.h>
// @interface MiscTableSource : List <NXTransport>
@interface MiscTableSource : MiscList <NSCoding>
{
    unsigned int columnCount;
}
- (unsigned int)rowCount;
- (unsigned int)columnCount;
- setColumnCount:(unsigned int)aInt;
- getValueFor:identifier at:(unsigned int) aPosition into:aValue;
- setValueFor:identifier at:(unsigned int) aPosition from:aValue;

- (SEL)getSelectorForIdentifer:(const char *)identifier; /* Return the get selector for identifier */
- (SEL)setSelectorForIdentifer:(const char *)identifier; /* Return the set selector for identifier */

- sortUsingIdentifer:(const char *)identifer ascending:(BOOL)aBool;
@end
