//
//	MiscUniqueStringArray.h -- never stores duplicates of the same string...
//		Written by Bill Bumgarner
//		Copyright (c) 1994 by Bill Bumgarner.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

@interface MiscUniqueStringArray : MiscStringArray
{
	NXHashTable *uniqueStringHash;
}

- init;
- (void)dealloc;

- addString:(const char *)aString;
- removeString:(const char *)aString;
- insertString:(const char *)aString at:(unsigned int)index;

- (BOOL) isMember:(const char *)aString;

#error ArchiverConversion: put the contents of your 'awake' method at the end of your 'initWithCoder:' method instead
- awake;
@end
