//
//	IBMole.h -- a way to play with IB via disributed objects
//		Written by Montgomery Zukowski
//		Copyright (c) 1994 by Montgomery Zukowski.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <apps/InterfaceBuilder.h>
#import <Foundation/NSConnection.h>

@protocol IBSecretAgent

- ibApp;
- docList;
- getClass:(const char *)aClassName;

@end

@interface IBMole:IBPalette <IBSecretAgent>
{

	NSConnection	*tunnel;
	List			*docList;
}

- init;
- (void)dealloc;

@end
