// Copyright (C) 1995 Jon Kutemeier
// Use is governed by the MiscKit license

/******************************************************************************
 *      $Log$
 ******************************************************************************/

typedef enum MiscCVDaysEnum MiscCVDays;

enum MiscCVDaysEnum 
{
    SUNDAY = 0,
    MONDAY,
    TUESDAY,
    WEDNESDAY,
    THURSDAY,
    FRIDAY,
    SATURDAY
};

#define NUM_MATRIX_COLS		7
#define NUM_MATRIX_ROWS		6

#define DEFAULT_HEADER_YPOS 	100
#define DEFAULT_HEADER_HEIGHT	15

#define MATRIX_CELL_WIDTH	17
#define MATRIX_CELL_HEIGHT	13
#define MATRIX_SPACING_HEIGHT	3.0
#define MATRIX_SPACING_WIDTH	0.0

#define DEFAULT_MATRIX_XPOS	5
#define DEFAULT_MATRIX_YPOS	5
#define DEFAULT_MATRIX_WIDTH	(NUM_MATRIX_COLS * MATRIX_CELL_WIDTH)
#define DEFAULT_MATRIX_HEIGHT	((NUM_MATRIX_ROWS * MATRIX_CELL_HEIGHT) + ((NUM_MATRIX_ROWS - 1) *  MATRIX_SPACING_HEIGHT))

#define MISC_CV_DOWHEADER		1
#define MISC_CV_MONTHHEADER		2
#define MISC_CV_YEARHEADER		3
#define MISC_CV_MONTHANDYEARHEADER	4
#define MISC_CV_INLINEMONTHHEADER	5
#define MISC_CV_INLINEYEARHEADER	6
#define MISC_CV_CELLBACKGROUND		7
#define MISC_CV_CELLTEXT		8
#define MISC_CV_CELLHIGHLIGHT		9
#define MISC_CV_CELLTEXTHIGHLIGHT	10
