//
//	MiscPathField.h -- a MiscClipTextField subclass for displaying long 
//					   pathnames
//		Written and Copyright (c) 1995 by Balazs Pataki. 
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	


#import <misckit/MiscClipTextField.h>

@interface MiscPathField : MiscClipTextField

{
	BOOL	shouldUseTilde;
}

- initWithFrame:(NSRect)rect;	

- stringWillBeClipped:theString;

- setReplaceHomeWithTilde:(BOOL) flag;
- (BOOL)doesReplacesHomeWithTilde;

- (id)initWithCoder:(NSCoder *)aDecoder;
- (void)encodeWithCoder:(NSCoder *)aCoder;


@end

@interface MiscPathField(IBStuff)
- (const char *)getInspectorClassName;
@end
