//
//	MiscClipTextFieldInspector.h -- IB inspector of MiscClipTextField(Cell)
//		Written and Copyright (c) 1995 by Balazs Pataki. 
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <AppKit/AppKit.h>

#import <apps/InterfaceBuilder.h>

@interface MiscClipTextFieldInspector : IBInspector
{
	id	backgroundGrayMatrix;
	id	textGrayMatrix;
	id	alignmentMatrix;
	id	borderMatrix;
	id	clipOnMatrix;
    id	tagForm;
	id	clipDelimitersField;
	id	clipperStringField;
}

+ (void)initialize;

- init;

- ok:sender;
- revert:sender;

- (BOOL)wantsButtons;

@end