//
//	MiscLogSlider.h -- a Slider subclass with logarithmic transfer function
//		Written by Don Yacktman, Copyright (c) 1994 by Don Yacktman.
//				Version 1.0  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <AppKit/NSSlider.h>
#import <misckit/MiscLogSliderCell.h>

@interface MiscLogSlider:NSSlider
{

}

+ (void)initialize;
+ (void) setCellClass:(Class)classId;
- initWithFrame:(NSRect)nf;
- setBase:(double)newBase;
- (double)base;

@end
