// Copyright (C) 1995
// Use is governed by the MiscKit license


#import <AppKit/AppKit.h>
#import <apps/InterfaceBuilder.h>
#import "MiscSwapKit.subproj/MiscSwapView.h"


@interface MiscSwapKitPalette:IBPalette
{
    id	realSwapObject;
    id	swapImageView;
}

- finishInstantiate;

@end


// This only works because the default drawSelf in the MiscSwapView class
// doesn't do much anyways. Since it doesn't draw anything, you cannot 
// see the object in the palette window or anywhere in IB. This fixes that.

@interface MiscSwapView (IBDisplaying)

#warning RectConversion: drawRect:(NSRect)rects (used to be drawSelf:(const NXRect *)rects :(int)rectCount) no longer takes an array of rects
- (void)drawRect:(NSRect)rects;

@end

