#ifndef __MiscNullView_h
#define __MiscNullView_h
//=============================================================================
//
//		Copyright (C) 1995 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscNullView.h
//
//		View class that covers the gap in the upper left corner when a 
//		MiscTableScroll has both row and column titles turned on.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscNullView.h,v 1.1 95/09/27 12:21:21 zarnuk Exp $
// $Log:		MiscNullView.h,v $
//	Revision 1.1  95/09/27	12:21:21  zarnuk
//	Initial revision
//	
//-----------------------------------------------------------------------------
extern "Objective-C" {
#import <AppKit/NSView.h>
}

@class MiscBorderCell;

@interface MiscNullView : NSView
	{
	MiscBorderCell* theCell;
	}

@end

#endif // __MiscNullView_h
