#ifndef __MiscRowView_h
#define __MiscRowView_h
//=============================================================================
//
//		Copyright (C) 1995 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscRowView.h
//
//		View class for the row labels on an MiscTableScroll.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscRowView.h,v 1.1 95/09/27 12:21:21 zarnuk Exp $
// $Log:		MiscRowView.h,v $
//	Revision 1.1  95/09/27	12:21:21  zarnuk
//	Initial revision
//	
//-----------------------------------------------------------------------------
#import "MiscBorderView.h"

@interface MiscRowView : MiscBorderView
	{
	
	}

- initFrame: (NSRect const*) frameRect
	 scroll: (MiscTableScroll*) scroll
	   info: (MiscTableBorder*) info;

@end

#endif // __MiscRowView_h
