//
//	MiscTeePalette.h -- Sets up the palette connections between the visual
//						and the actual objects.
//
//		Written by David Fedchenko.  Copyright 1994 by David Fedchenko.
//		Additions for MiscDistributor by Don Yacktman.
//				Version 1.1  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <apps/InterfaceBuilder.h>

@interface MiscTeePalette:IBPalette
	{
	id	idTee;
	id	idTeeView;
	id	idDistView;
	id	idDist;
	}

- finishInstantiate;

@end


@interface IBPalette(associateObject)
- associateObject:object type:(NXAtom)type to:view;
@end
