//
//	_MiscDistributorConnection.h -- A helper for MiscDistributor.
//
//		Written by Don Yacktman.  Copyright 1994 by Don Yacktman.
//				Version 1.0  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <objc/objc.h>

#ifdef INSUBPROJ
#import "MiscDistributor.h"
#else
#import "MiscDistributor.subproj/MiscDistributor.h"
#endif

@interface _MiscDistributorConnection:NSObject
{
	char *connectionName;
	MiscDCDirection direction;
	id selObject;
}

- init;
- (void)dealloc;
- (const char *)connectionName;
- setConnectionName:(const char *)aString;
- (MiscDCDirection)direction;
- setDirection:(MiscDCDirection)aDirection;

@end
