/* MiscMultiSelInspector.m				 
 *
 * This default inspector comes up when there is a Multi Selection.
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.02.1994 (Copyleft)
 * Last modified: 	09.02.1994
 *
 * Copyright (c) 1995 Thomas Engel
 */

#import <misckit/misckit.h>

@implementation MiscMultiSelInspector

- (BOOL)doesHandleSelection
{
	if( [self selectionCount] > 1 )
			return YES;
	else	return NO;
}

@end

/*
 * History: 09.02.1994 First code entered.
 *
 *
 * Bugs: - No;
 */