//
//	MiscStack.m -- a List subclass that acts like a stack
//		Written by Don Yacktman Copyright (c) 1993 by Don Yacktman.
//				Version 1.1.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <misckit/MiscStack.h>

@implementation MiscStack

- pushObject:anObject
{
	return [self addObject:anObject]; // faster than inserting at zero
}

- popObject
{
	return [self removeLastObject]; // faster than removing from zero
}

- topObject
{
	return [self lastObject]; // faster than removing from zero
}

@end