//
//	_MiscMergeDelayedParseCommand.h -- delayed merge command implementation
//		Written by Don Yacktman Copyright (c) 1995 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	


#import <misckit/miscmerge.h>

// Note that this command will never be built from parsing the
// word "DelayedParse" since the class name would have to have
// a lowercase "p" to be accessed by the parser.  As such, it
// will only be used in the special case that the parser finds
// a command with the start/end delimiters in it.

@interface _MiscMergeDelayedParseCommand : MiscMergeCommand
{
	MiscString *unparsedCommand;
}

@end

