//
//	_MiscMergeOmitCommand.m -- "omit" merge command implementation
//		Written by Don Yacktman Copyright (c) 1995 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <misckit/miscmerge.h>
#import "_MiscMergeOmitCommand.h"

@implementation _MiscMergeOmitCommand

- parseFromString:(MiscString *)aString
{	// no need to keep arguments around, so we just drop it all
	return self;
}

- executeForMerge:(MiscMergeEngine *)aMerger
{
	[aMerger abortMerge];
	return nil;
}

@end
