/* MiscCompletionText.m				 
 *
 * For details please read the Docu.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */


#import "MiscCompletionText.h"

@implementation MiscCompletionText

- (void)keyDown:(NSEvent *)event 
{
	id	ourDelegate;

	// BUG: We should test the ALT, CMD, etc keys too !
	// BUG: Accept first press only !!!

#error EventConversion: the '.data.key.charSet' field of NXEvent does not have an exact translation to an NSEvent method.  Possibly use [[event characters] canBeConvertedToEncoding:...]
	if( event.data.key.charSet == NX_ASCIISET &&
#error EventConversion: the 'characters' method of NSEvent replaces the '.data.key.charCode' field of NXEvent. Use 'charactersIgnoringModifiers' to get the chars that would have been generated regardless of modifier keys (except shift)
		[event characters] == 0x1b ) 		
	{
		ourDelegate = [self delegate];
	
		// Now if the delegate responds to the textDelegate method we will
		// use that object. This is how we can handle TextFields and
		// Forms too !!.
			
		if( ourDelegate != nil &&
			[ourDelegate respondsToSelector:@selector(delegate)] )
			ourDelegate = [ourDelegate delegate];
			
		// Now go ahead...
			
		if( ourDelegate != nil &&
		 	[ourDelegate respondsToSelector:@selector(textShouldPerformCompletion:)] )
		{
			// Now only on success we will quite right here.

			if( [ourDelegate textShouldPerformCompletion:self] != nil )
				return;
		}
	}
	// In all the other cases we will try to let our old class do the work.

	[super keyDown:event];
}

@end


/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */