#import <AppKit/AppKit.h>

typedef float RtPoint[3];
typedef float RtBound[6];

@interface BezierORShape : NSObject
{
	RtPoint *mesh;
        RtBound	boundingBox;
	int numberOfPoints;
	float r1,z1,r2,z2;
}

+ shapeWithPoints:(const NSPoint *)thePoints :(int)theN;
- initWithPoints:(const NSPoint *)thePoints :(int)theN;
- (NSData *)eveData;

@end
