
#import <AppKit/AppKit.h>

@class Spline;

@interface SplineView:NSView
{
@private
	Spline *spline;
	id parametrisationMatrix;
	id endPointAMatrix;
	id endPointBMatrix;
	int drawFlags;	
}

- (void)createSpline:(NSEvent *)event;
- (void)changeSpline:(NSEvent *)event;
- (void)changeParametrisation:(id)sender;
- (void)changeEndPointA:(id)sender;
- (void)changeEndPointB:(id)sender;
- (void)changeDrawFlags:(id)sender;
- (void)saveAsEve:(id)sender;

@end

	